﻿using FabApprovalWorkerService.Services;

using Microsoft.Extensions.Logging;

using Moq;

namespace FabApprovalWorkerServiceTests;
public class TrainingServiceTests {
    private Mock<ILogger<TrainingService>> _mockLogger;
    private Mock<IDalService> _mockDalService;

    private TrainingService _trainingService;

    [SetUp]
    public void Setup() {
        _mockLogger = new Mock<ILogger<TrainingService>>();
        _mockDalService = new Mock<IDalService>();
    }

    [Test]
    public void TrainingServiceWithNullLoggerShouldThrowException() {
        Assert.Throws<ArgumentNullException>(() => new TrainingService(null, _mockDalService.Object));
    }

    [Test]
    public void TrainingServiceWithNullDalServiceShouldThrowException() {
        Assert.Throws<ArgumentNullException>(() => new TrainingService(_mockLogger.Object, null));
    }
}
